#ifndef COMMANDS
#define COMMANDS

#define SSP_CMD_RESET 0x01
#define SSP_CMD_HOST_PROTOCOL_VERSION 0x06
#define SSP_CMD_SYNC 0x11
#define SSP_CMD_SET_GENERATOR 0x4A
#define SSP_CMD_SET_MODULUS 0x4B
#define SSP_CMD_KEY_EXCHANGE 0x4C
#define SSP_CMD_SET_INHIBITS 0x02
#define SSP_CMD_ENABLE 0x0A
#define SSP_CMD_DISABLE 0x09
#define SSP_CMD_POLL 0x07
#define SSP_CMD_SETUP_REQUEST 0x05
#define SSP_CMD_DISPLAY_ON 0x03
#define SSP_CMD_DISPLAY_OFF 0x04
#define SSP_CMD_ENABLE_PAYOUT 0x5C
#define SSP_CMD_DISABLE_PAYOUT 0x5B
#define SSP_CMD_SET_ROUTING 0x3B
#define SSP_CMD_GET_ROUTING 0x3C
#define SSP_CMD_SET_VALUE_REPORTING_TYPE 0x45
#define SSP_CMD_PAYOUT_LAST_NOTE 0x42
#define SSP_CMD_EMPTY 0x3F
#define SSP_CMD_GET_NOTE_POSITIONS 0x41
#define SSP_CMD_STACK_LAST_NOTE 0x43
#define SSP_CMD_LAST_REJECT_CODE 0x17

#define SSP_POLL_RESET 0xF1
#define SSP_POLL_NOTE_READ 0xEF
#define SSP_POLL_CREDIT 0xEE
#define SSP_POLL_REJECTING 0xED
#define SSP_POLL_REJECTED 0xEC
#define SSP_POLL_STACKING 0xCC
#define SSP_POLL_STACKED 0xEB
#define SSP_POLL_SAFE_JAM 0xEA
#define SSP_POLL_UNSAFE_JAM 0xE9
#define SSP_POLL_JAMMED 0xD5
#define SSP_POLL_HALTED 0xD6
#define SSP_POLL_DISABLED 0xE8
#define SSP_POLL_FRAUD_ATTEMPT 0xE6
#define SSP_POLL_PAYOUT_OUT_OF_SERVICE 0xC6
#define SSP_POLL_STACKER_FULL 0xE7
#define SSP_POLL_NOTE_CLEARED_FROM_FRONT 0xE1
#define SSP_POLL_NOTE_CLEARED_TO_CASHBOX 0xE2
#define SSP_POLL_NOTE_PAID_TO_CASHBOX_ON_START 0xCA
#define SSP_POLL_NOTE_PAID_TO_RECYCLER_ON_START 0xCB
#define SSP_POLL_NOTE_DISPENSED_ON_START 0xCD
#define SSP_POLL_CASHBOX_REMOVED 0xE3
#define SSP_POLL_CASHBOX_REPLACED 0xE4
#define SSP_POLL_NOTEFLOAT_REMOVED 0xC7
#define SSP_POLL_NOTEFLOAT_ATTACHED 0xC8
#define SSP_POLL_DEVICE_FULL 0xCF
#define SSP_POLL_NOTE_PATH_OPEN 0xE0
#define SSP_POLL_CHANNEL_DISABLE 0xB5
#define SSP_POLL_NOTE_STORED 0xDB
#define SSP_POLL_NOTE_DISPENSING 0xDA
#define SSP_POLL_NOTE_DISPENSED 0xD2
#define SSP_POLL_NOTE_TRANSFERRED_TO_STACKER 0xC9
#define SSP_POLL_DISPENSING 0xDA
#define SSP_POLL_DISPENSED 0xD2
#define SSP_POLL_INCOMPLETE_PAYOUT 0xDD
#define SSP_POLL_EMPTYING 0xC2
#define SSP_POLL_EMPTIED 0xC3
#define SSP_POLL_DEVICE_FULL 0xCF
#define SSP_POLL_NOTE_IN_BEZEL 0xCE

#define SSP_RESPONSE_CMD_OK 0xF0
#define SSP_RESPONSE_CMD_UNKNOWN 0xF2
#define SSP_RESPONSE_CMD_WRONG_PARAMS 0xF3
#define SSP_RESPONSE_CMD_PARAM_OUT_OF_RANGE 0xF4
#define SSP_RESPONSE_CMD_CANNOT_PROCESS 0xF5
#define SSP_RESPONSE_CMD_SOFTWARE_ERROR 0xF6
#define SSP_RESPONSE_CMD_FAIL 0xF8
#define SSP_RESPONSE_CMD_KEY_NOT_SET 0xFA

#endif